/**
 * Unige theme for reveal.js. This is a modified version of the white theme.
 *
 * By Hakim El Hattab, http://hakim.se
 * slightly modified by Igor Milhit <igor.milhit@unige.ch>
 */


// Default mixins and settings -----------------
@import "../template/mixins";
@import "../template/settings";
// ---------------------------------------------


// Include theme-specific fonts
@import url(./fonts/source-sans-pro/source-sans-pro.css);


// Override theme settings (see ../template/settings.scss)
$backgroundColor: #fff;
// Set the BUNIGE color
$bunigeColor: #d80669;
// The background color inversed is used for the inline code block.
$backgroundColorInversed: $bunigeColor;

$mainColor: #222;
// The color inversed is used for the inline code block.
$mainColorInversed: #fff;
$headingColor: $bunigeColor;

$mainFontSize: 42px;
// The smaller font size used for caption and other tags
$smallerFontSize: $mainFontSize * 0.6;
$mainFont: 'Source Sans Pro', Helvetica, sans-serif;
$headingFont: 'Source Sans Pro', Helvetica, sans-serif;
$headingTextShadow: none;
$headingLetterSpacing: normal;
$headingTextTransform: uppercase;
$headingFontWeight: 600;
$linkColor: #d80669;
$linkColorHover: lighten( $linkColor, 15% );
$selectionBackgroundColor: lighten( $linkColor, 25% );

$heading1Size: 2.5em;
$heading2Size: 1.6em;
$heading3Size: 1.3em;
$heading4Size: 1.0em;

$overlayElementBgColor: 0, 0, 0;
$overlayElementFgColor: 240, 240, 240;

// Change text colors against dark slide backgrounds
@include dark-bg-text-color(#fff);

// Define the variables needed for this theme
:root {
  --r-background-color-inversed: #{$backgroundColorInversed};
  --r-main-color-inversed: #{$mainColorInversed};
}

.reveal {
  // The BUNIGE logo on the main document, left top corner.
  // The statics folder has been added inside the `dist/theme`
  // directory.
  background-image: url(./statics/bunige-logo.svg);
  background-repeat: no-repeat;
  background-position: top .5em left 1em;
  background-size: 10%;

  // The BUNIGE inline code block.
  // This class has to be added in the HTML!
  // It's a workaround to keep the native codeblock styling.
  .bunige-code-inline {
    background-color: var(--r-background-color-inversed);
    color: var(--r-main-color-inversed);
    border-radius: .2em;
    padding: 0 .2em 0 .2em;
  }

  //Style the figure and figcaption blocks.
  figure {
    max-width: 80%;
    margin: 0 auto;
    border: #d80669 solid;
    border-radius: .2em;

    img {
      margin: 0;
      padding-top: .2em;
    }

    figcaption {
      font-size: $smallerFontSize;
    }

  }

  // Adapt the slide number rendering to the bunige theme
  // Change the a value as desired.
  .slide-number {
    background-color: rgba(216,6,105,1);
    
    a {
      text-decoration: none;
    }
  }

  .bunige-list-inline {
    font-size: $smallerFontSize;

    li {
      display: inline-block;
    }

    li:not(:last-child):after {
      content: " – ";
    }
  }

  .bunige-author {
    text-align: center;
  }

  // Add this class to get the BUNIGE color to specific text.
  .bunige-color {
    color: $bunigeColor;
  }

  // Add this class to align text to left.
  .bunige-text-left-aligned {
    text-align: left;
  }

  table {
    font-size: smaller;

    thead {
      tr {
        th {
          border-right: 1px solid;
        }
        th:last-child {
          border-right: none;
        }
      }
    }

    tbody {
      tr {
        td {
          border-right: 1px solid;
        }
        td:last-child {
          border-right: none;
        }
      }
    }
  }

  blockquote {
    text-align: left;
  }

  .citation {
    font-size: smaller;
  }

  #refs {
    font-size: smaller;
    text-align: left;

    .csl-entry {
      padding-bottom: .5em;
    }
  }

}


// Theme template ------------------------------
@import "../template/theme";
// ---------------------------------------------

// As the link color is the same pink as the headers,
// it better to underline them. But this rule has to
// be after the theme link rules. Otherwise the `!important`
// options is needed, which prevent to remove the
// text-decoration of the slide number links.
.reveal {
  a {
    text-decoration: underline;
  }
}
